### Method

# Gio Settings get_range

deprecated: 2.40 since: 2.28

#### Declaration [src]

    GVariant*
    g_settings_get_range (
      GSettings* settings,
      const gchar* key
    )

#### Description [src]

Queries the range of a key.

Available since: 2.28

Deprecated since: 2.40

Use `g_settings_schema_key_get_range()` instead.

#### Parameters

`key`

  Type: `const gchar*`

  The key to query the range of.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GVariant`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.